Support » Plugin: Advanced Custom Fields » Custom fields backward compatibility

  • Elliot,

    Would it be possible to keep backward compatibility for custom field types?

    Many of my sites rely on them and, even though I could update them all according to the changes in ACF 4, it would take a while, and I’d like to keep the plugin updated, especially because of the bug and vulnerability fixes. And I’m guessing I’m not the only one in this situation.

    Thanks in advance for any help or information you may provide, I’d really like to know how to proceed.

    Cheers,

    Ricardo

    http://wordpress.org/extend/plugins/advanced-custom-fields/

Viewing 3 replies - 1 through 3 (of 3 total)
  • The basic fields like Text, textarea, radio, select etc. are all backwards compatibile.
    At least after my upgrade from 3.x.x to 4.0.2 all fields keep their values and stay the same. Just plugin-fields like taxonomy are need to set up again.

    schwarzgrau, that’s exactly what I meant, add-on custom types. Just was wondering if it’s possible to keep the old API along with the new one.

    ok taxonomies would be the same, since they get saved outside of the custom-fields or meta values. But you’re right, some other field types would be destroyed, even if there values still in the meta.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Custom fields backward compatibility’ is closed to new replies.